WordPress: Tipo de post inválido (Invalid post type)

Olá, recentemente tivemos um problema com a migração de servidor de um site WordPress, em que ao clicar em “Posts” (wp-admin/edit.php) aparecia a seguinte erro:

Além desse erro, o WooCommerce deixou de listar os produtos, e também não era possível instalar novos plugins. Depois de muito sofrimento rs, eis a solução informada com ajuda da Locaweb:

Adicionar o seguinte código ao .htaccess na raiz da instalação do WordPress:

ProxyFCGIBackendType GENERIC

Dessa forma, nosso .htaccess ficou assim:

ProxyFCGIBackendType GENERIC

# BEGIN HTTPS Redirection Plugin
<IfModule mod_rewrite.c>
RewriteEngine On
RewriteCond %{SERVER_PORT} !^443$
RewriteRule ^(.*)$ https://%{HTTP_HOST}%{REQUEST_URI} [L,R=301]
</IfModule>
# END HTTPS Redirection Plugin

# BEGIN WordPress
<IfModule mod_rewrite.c>
RewriteEngine On
RewriteBase /
RewriteRule ^index\.php$ - [L]
RewriteCond %{REQUEST_FILENAME} !-f
RewriteCond %{REQUEST_FILENAME} !-d
RewriteRule . /index.php [L]
</IfModule>

# END WordPress

E então, todos os problemas foram corrigidos 🙏 .

P.S.: O problema está com um bug na versão 2.4.26 do Apache (e corrigido na versão 2.4.27). Para saber mais, segue os links:

https://wordpress.org/support/topic/invalid-post-type-on-wp-adminedit-php/

https://wordpress.org/support/topic/php_self-not-showing-full-path-on-server/

https://bz.apache.org/bugzilla/show_bug.cgi?id=61202

https://blog.paranoidpenguin.net/2017/07/wordpress-errors-on-apache-2-4-26-with-php-fpm/

Changelog da versão 2.4.27: http://www.apache.org/dist/httpd/CHANGES_2.4.27




Compartilhar: